From: Yiyuan Liu <[email-masked]>
Date: Tue, 20 Sep 94 08:47:18 CDT

Hi, everybody.

please excuse me for asking a question that has been asked many times before.
many netters mentioned the letter ( form I-181B ?), which has the follwoing
lines on it: 
       the processing of your application ... blah, blah... has been completed.
         a request for a visa number has been forwarded to ... blah, blah...

I just wonder if this is the final approval notice.  if this is it, why there
is no mention of the card production facility in Texas?  what are we supposed
to do after receiving this letter?  just wait for the card?

any reply will be greatly appreciated.

L.L.